org.apache.sling.provisioning.model.io

## Interface ModelArchiveReader.ArtifactConsumer

Enclosing class:
  ModelArchiveReader

    public static interface ModelArchiveReader.ArtifactConsumer

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `consume(Artifact artifact, InputStream is)` Consume the artifact from the archive The input stream must not be closed by the consumer.

### Method Detail

#### consume

    void consume(Artifact artifact,
                 InputStream is)
          throws IOException

Consume the artifact from the archive The input stream must not be closed by the consumer.

Parameters:
  `artifact` - The artifact
  `is` - The input stream for the artifact
Throws:
  `IOException` - If the artifact can't be consumed